function [action, nodeID]=getAction(cost,budget,nb_node)
% get all possible actions with fix budget

action=zeros(2^nb_node,nb_node);
budget_change=budget;
for i=1:2^nb_node
    state1=getState( i,nb_node );
    cost_new=state1.*cost;
    t=state1==1;
   
        if (budget_change-sum(cost_new)>=0)
            action(i,t)=1;
        end
 
end

% all possible multi actions
action=unique(action(:,1:8),'rows');action=action(2:size(action,1),:); % delete the first row of all 0 values

% all possible multi actions in a list where values represent node ID
    aaa={};
    for i=1:size(action,1)
        aaa(i)={find(action(i,:)==1)};
    end
nodeID=aaa;
end
