function [R_Bio,popback]= getReward_Bio_multiaction(breedingpop,nb_node,state_all,action,cost)
%get the biodiversity reward function

a=size(action,1); % 65 possible combinations of protection
R_Bio=zeros(2^nb_node,a);

expense=sum(action.*cost,2);
%output=get_population(breedingpop,nb_node); % carrying capacity is fixed
%cc=output(:,9); 
%penalty_Bio=cc*(1-a_eff);% only protection noce 2-8 so 7 actions only
popback=zeros(2^nb_node,1);
for t=1:2^nb_node
    for j=1:a
    i=find(state_all(t,:)==1); % when state=1->lost, state=2->extant
    output= get_population(breedingpop,nb_node,i);
    popback(t)=output{2};
    R_Bio(t,j)=popback(t)-expense(j);
    end
end
end


