function stateid = getState_back(state)
%%%=======================================
%%% OBJECTIVE: a reverse function of getState(), using the state to retrive
%%% the stateid
%%%=======================================
%%% INPUT ARGUMENTS:
%%% state: the state of the migratory network
%%%=======================================
%%% OUTPUT ARGUMENTS:
%%% stateid: the number used to generate the state, ranging from 0 to 2^J-1
%%%=======================================
    J=length(state);
    baseTern=(2*ones(1,J)).^[0:J-1];
    stateid=sum(state.*baseTern);

end

