function output = get_population(breedingpop,nb_node)
% calculate the population matrix for the migration network
% inlcude M1 then last col is cc
% cc is the carrying capacity 
M1=zeros(nb_node);

% switch nargin
%     case 3 % when there's habitat loss (and the network still exists)
% %south migration
% if (all((i)~=1) && all((i)~=3))
% M1(1,3)=0.27*breedingpop;end
% if (all((i)~=1) && all((i)~=4))
%     M1(1,4)=0.06*breedingpop;end
% if (all((i)~=1) && all((i)~=5))
%     M1(1,5)=0.05*breedingpop;end
% if (all((i)~=1) && all((i)~=6))
%     M1(1,6)=0.59*breedingpop;end
% if (all((i)~=1) && all((i)~=7))
%     M1(1,7)=0.03*breedingpop;end
% if (all((i)~=6) && all((i)~=7))
%     M1(6,7)=sum(M1(:,6))*0.14;
%     M1(7,6)=sum(M1(:,7));
% end
% if (all((i)~=6) && all((i)~=2))
% M1(6,2)=sum(M1(:,6))-sum(M1(6,:));end
% if (all((i)~=5) && all((i)~=2))
% M1(5,2)=sum(M1(:,5));end
% if (all((i)~=4) && all((i)~=8))
% M1(4,8)=sum(M1(:,4));end
% if (all((i)~=3) && all((i)~=8))
% M1(3,8)=sum(M1(:,3));end
% 
% popback=sum(M1(:,2))+sum(M1(:,8));
% output={M1,popback};
% 
%     case 2 % just calculate population matrix
        M1(1,3:7)=[0.27*breedingpop 0.06*breedingpop 0.05*breedingpop 0.59*breedingpop 0.03*breedingpop];
        M1(6,7)=sum(M1(:,6))*0.14;
       
% north migration
M1(7,6)=sum(M1(:,7)); 
M1(6,2)=0.59*breedingpop+0.03*breedingpop;
M1(5,2)=sum(M1(:,5));
M1(4,8)=sum(M1(:,4));
M1(3,8)=sum(M1(:,3));


cc=zeros(8,1);M1_inflow=sum(triu(M1)); M1_outflow=sum(tril(M1));
for ii=1:8
    cc(ii)=max(M1_inflow(ii),M1_outflow(ii));
end
cc(1)=38000; % from the breeding area
output=[M1,cc];
% end

end

